/* #region Hikashop grid */
/* ------------------------------------------------------------------------ */
.hk-container-fluid,
.hk-row-fluid,
.hk-row,
[class*="hkc-"] {
	gap: 1rem;
	padding: 0;
}

.hk-container-fluid,
.hk-row-fluid,
.hk-row {
	margin: 0 0 1rem 0;
}

/* #endregion */

/* #region Product listing */
/* ------------------------------------------------------------------------ */
.hikashop_subcontainer {
	border: 1px solid var(--gray-300);
}

.hikashop_subcontainer {
	transition: transform 0.2s, z-index 0.2s, box-shadow 0.2s !important;
	transition-delay: 0s !important;
	padding: .75rem !important;
	z-index: 9 !important;

	&:hover {
		transform: scale(1.02) !important;
		transition-delay: 0s !important;
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.15) !important;
	}
}

.hikashop_subcontainer {
	.hikashop_product_price_full {
		font-size: .85rem;
		background-color: var(--primary);
		align-self: flex-start;
		padding-inline: .5rem;
		padding-bottom: .125rem;
		color: var(--white);
		border-radius: .25rem;
		font-weight: bold;
		margin-bottom: .5rem;
	}

	.hikashop_product_name,
	.hikashop_category_name {
		font-weight: bold;
		color: var(--body-color);
		text-transform: uppercase;

		a {
			color: var(--body-color);

			&:hover,
			&:focus {
				color: var(--link-hover-color);
			}
		}
	}

	.hikashop_product_code_list {
		color: var(--body-color);
		font-size: .85rem;
		;

		a {
			color: var(--body-color);

			&:hover,
			&:focus {
				color: var(--link-hover-color);
			}
		}
	}
}

.hikashop_category_image,
.hikashop_product_image {
	height: auto !important;

	img {
		background-color: var(--gray-100);
	}
}

/* Product listing: div wrapping the link and image */
/* R2H 22-04-2026 */
/* .hikashop_product_image_subdiv {
	width: 100% !important;
} */

.hikashop_product_price_main .hikashop_product_discount {
	display: inline-block;
	margin-inline-end: .5rem;
	font-size: .85rem;
	background-color: var(--success);
	color: var(--white);
	padding-inline: .5rem;
	border-radius: .25rem;
}

/* Remove specifications / info label for product specs */
tr.hikashop_product_custom_specifications_line {
	.key {
		display: none;
	}

	td {
		padding: .75rem;
		border-radius: .25rem;
		border: 1px solid var(--gray-200);
		display: block;
	}

	ul {
		margin: 0;
	}
}

/* #endregion */

/* #region Cart */
/* ------------------------------------------------------------------------ */
.hkform-horizontal {
	display: grid;

	.hkcontrol-label {
		margin: 0;
		padding: 0;
		display: flex;
		align-items: center;
		gap: 0 .25rem;
	}

	.hkform-group {
		margin: 0 0 .5rem 0;
		display: grid;
		grid-template-columns: repeat(12, 1fr);
		gap: .25rem 1rem;
	}

	.form-login__submit {
		order: 10000;
	}
}

#hikashop_checkout_registration label {
	display: inline-flex;
	gap: .1rem;
}

.hikashop_product_checkout_cart_image {
	width: 50px;
	height: 50px;
	object-fit: cover;
}

.hikashop_product_quantity_input_div_default_main {
	display: inline-flex;
	align-items: center;
	gap: .5rem;
}

.hikashop_cart {
	.hikashop_cart_module_product_name_value {
		max-width: 270px;
	}
}

.hikashop_checkout_cart p {
	margin: 0;
}

.hikashop_checkout_billing_address_block,
.hikashop_checkout_shipping_address_block {
	select.hikashop_field_dropdown {
		padding: .25rem 1rem .25rem .25rem;
		margin-bottom: .5rem
	}
}

/* Cart: Edit address in cart: radio */
.hika_address_element .hika_edit {

	display: flex;
	justify-content: end;
	gap: .5rem;

	input[type="radio"] {
		float: none;
		margin-inline-end: auto;
	}

	a {
		display: block;
		text-align: center;
		width: 1.25rem;
		text-decoration: none;
	}
}

/* Accrodion Selector bars */
.hikashop_cart_step_finished {
	position: relative;



	a::after {
		position: absolute;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		z-index: 1;
		content: "";
	}
}

/* Cart drawer styling */
.hikashop_drawer__wrapper {
	color: var(--body-color);

	a:not(.btn) {
		color: var(--cassiopeia-color-link);

		&:hover,
		&:focus {
			color: var(--cassiopeia-color-hover);
		}
	}

	.hikabtn {

		color: #333 !important;

		&:hover,
		&:focus {
			color: #333 !important;
		}
	}
}

.vex.vex-theme-default .vex-dialog-form .vex-dialog-buttons {
	display: flex;
	gap: .5rem;
}

/* #endregion */

/* #region Hika buttons */
/* ------------------------------------------------------------------------ */
.hikabtn,
.hika_j2 .btn {
	font-size: 1rem;
}

.hika_waitlist_btn {

	&:hover,
	&:focus {
		color: currentColor;
	}
}

/* #endregion */

/* #region Product page | Description */
/* ------------------------------------------------------------------------ */
.hikashop_product_top_part {
	margin-bottom: 1.5rem;
}

form[name="hikashop_product_form"] .hk-row-fluid {
	gap: 2rem;
}

@media (width < 450px) {
	form[name="hikashop_product_form"] .hk-row-fluid {
		gap: 1rem;
	}
}

.hikashop_product_description_main {
	margin-block: 2rem;
	border: 1px solid var(--gray-200);
	padding: 1rem;
}

.hikashop_product_name_main {
	font-size: 2rem;
	margin-bottom: 0;
}

.hikashop_product_code_main {
	font-size: .85rem;
	margin-bottom: 1rem;
	display: block;
}

.hikashop_product_stock_count {
	font-size: .85rem;
	margin-bottom: 1rem;
}

.hikashop_product_price_main {
	font-size: 1.25rem;
	margin-bottom: 1rem;
	color: var(--primary);
}

main .hikashop_product_quantity_div input.form-control,
main .form-control.hikashop_product_quantity_field {
	max-width: 55px;
	padding: .25rem .5rem .25rem .25rem;
	text-align: center;
}

.hikashop_product_price_main {
	font-weight: bold;
	font-size: 1rem;
	/** 1.25rem; R2H 22-04-2026 */
	color: var(--primary);
	margin-bottom: 1rem;
	display: block;

	br {
		display: none;
		line-height: 0;
	}

	.hikashop_product_price_with_min_qty {
		font-size: 1rem;
		font-weight: normal;
		color: var(--body-color);
		display: block;
	}
}

.hikashop_product_custom_info_main {
	margin-top: 2rem;
}

.hikashop_product_custom_info_main_table {

	td,
	th {
		vertical-align: top;
	}
}

#hikashop_address_listing {
	margin-bottom: 2rem;
}

.hikashop_main_image_div {
	margin-bottom: 1rem;
}

.hikashop_product_page .hikashop_product_main_image {
	border: 1px solid var(--gray-200);
}

.hikashop_user_address {
	div:has(.hk-label) {
		display: flex;
		gap: .5rem;
	}
}

.hikashop_user_address > div {
	a {
		text-decoration: none;
		display: inline-block;
		padding-inline: .25rem;
	}
}

.hikashop_checkout_status {
	background-color: var(--gray-100);
	padding: 1rem;
	margin-bottom: 1rem;
	border-radius: .25rem;
	font-weight: bold;
}

.hikashop_checkout_fields {
	.hkform-group {
		row-gap: .25rem;
	}

	.hkcontrol-label {
		grid-column: span 12;
		--hk-span: 12;
		text-align: left;
	}
}

.hikashop_checkout_terms {
	background-color: var(--gray-100);
	padding: 1rem;
	margin-bottom: 1rem;
	border-radius: .25rem;

	a {
		font-size: 1.25rem;
		text-decoration: none;

		&:hover,
		&:focus {
			text-decoration: underline;
		}
	}

	[type="checkbox"] + label:before {
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 18px;
		height: 18px;
		z-index: 0;
		border: 2px solid #5a5a5a;
		border-radius: 1px;
		margin-top: 2px;
		-webkit-transition: 0.2s;
		-moz-transition: 0.2s;
		-o-transition: 0.2s;
		-ms-transition: 0.2s;
		transition: 0.2s;
	}

	[type="checkbox"] + label {
		position: relative;
		padding-left: 35px;
		cursor: pointer;
		display: inline-block;
		height: 25px;
		line-height: 25px;
		font-size: 1rem;
		-webkit-user-select: none;
		-moz-user-select: none;
		-khtml-user-select: none;
		-ms-user-select: none;
	}

	[type="checkbox"]:not(:checked),
	[type="checkbox"]:checked {
		position: absolute;
		left: -9999px;
		visibility: hidden;
	}

	[type="checkbox"] + label:before {
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 18px;
		height: 18px;
		z-index: 0;
		border: 2px solid var(--black);
		border-radius: 1px;
		margin-top: 2px;
		-webkit-transition: 0.2s;
		-moz-transition: 0.2s;
		-o-transition: 0.2s;
		-ms-transition: 0.2s;
		transition: 0.2s;
	}

	[type="checkbox"]:checked + label:before {
		top: -4px;
		left: -3px;
		width: 12px;
		height: 22px;
		border-top: 2px solid transparent;
		border-left: 2px solid transparent;
		border-right: 2px solid var(--success);
		border-bottom: 2px solid var(--success);
		-webkit-transform: rotate(40deg);
		-moz-transform: rotate(40deg);
		-ms-transform: rotate(40deg);
		-o-transform: rotate(40deg);
		transform: rotate(40deg);
		-webkit-backface-visibility: hidden;
		-webkit-transform-origin: 100% 100%;
		-moz-transform-origin: 100% 100%;
		-ms-transform-origin: 100% 100%;
		-o-transform-origin: 100% 100%;
		transform-origin: 100% 100%;
	}

}

/* #endregion */

/* #region Hikashop Responsive Layout */
/* .container-component .hikashop_products_listing_main,
.container-component .hikashop_categories_listing_main {
	@media (max-width: 1399.98px) {

		[class*="hkc-sm-"],
		[class*="hkc-md-"],
		[class*="hkc-lg-"],
		[class*="hkc-xl-"] {
			grid-column: span 4;
			--hk-span: 4;
		}
	}


	@media (max-width: 767.98px) {

		[class*="hkc-sm-"],
		[class*="hkc-md-"],
		[class*="hkc-lg-"],
		[class*="hkc-xl-"] {
			grid-column: span 6;
			--hk-span: 6;
		}
	}

	@media (max-width: 374.98px) {

		[class*="hkc-sm-"],
		[class*="hkc-md-"],
		[class*="hkc-lg-"],
		[class*="hkc-xl-"] {
			grid-column: 1 / -1;
			--hk-span: 12;
		}
	}

	.hikashop_container,
	.hikashop_subcontainer.thumbnail {
		height: 100%;
	}
} */
/* #endregion */

/* Fremat R2H 22-04-2026 */
.table {
	--table-striped-bg: transparent;
}

.hikabtn,
.hika_j2 .btn {
	text-decoration: none;
	color: var(--black);

	&:hover,
	&:focus {
		color: var(--black);
	}
}

.hikacart,
.hikabtn-success {
	text-decoration: none;
	color: var(--white) !important;
	background-color: var(--success);

	&:hover,
	&:focus {
		color: var(--white) !important;
		background-color: var(--success-hover-color);
	}
}

.hikashop_product_right_part br {
	display: none;
	line-height: 0;
}

.hikashop_product_custom_item_info,
.hikashop_product_quantity_main,
.hikashop_product_quantity_div {
	margin-bottom: 1rem;
}

.container-header nav.navbar .hikashop_cart.hika_j4 table {
	a {
		color: var(--primary);
	}
}

.hikashop_product_quantity_div {
	display: inline-block;
	margin-bottom: 0;
}

div#data_register_registration_method label {
	border: 1px solid #ced4da;
	color: var(--body-color);
	width: 300px;
	max-width: 100%;
	margin-bottom: .25rem;

	&:hover,
	&:focus {
		border-color: var(--success);
		color: var(--success);
	}
}

div#data_register_registration_method label.active {
	background-color: var(--success);
	color: var(--white);
	border: 1px solid var(--success);
}

.hikashop_checkout_login {
	h1 {
		font-size: 1.5rem;
		margin-bottom: 1rem;
	}

	h2 {
		font-size: 1.25rem;
		margin-bottom: 1rem;
	}
}

.hikashop_cart_step_current {
	margin-bottom: 1rem;
}
